#ifndef __LCD_H
#define __LCD_H
/*
 * File    : lcd.h
 * Purpose : define functions to control LCD
 * Author  : Ronald Kriemann
 * Date    : 26.11.2003
 */

#include "types.h"

/* put a single character on LCD */
void lcd_putc ( uchar c );

/* put string on LCD */
void lcd_puts ( const uchar * s );

/* set cursor at given pos */
void lcd_gotoxy ( uchar x, uchar y );

/* clear LCD */
void lcd_clear ( void );

/* sets cursor on and off, blink */
void lcd_cursor_on    ( void );
void lcd_cursor_off   ( void );
void lcd_cursor_blink ( void );

/* init LCD */
void lcd_init ( void );

/* change programable characters */
void lcd_set_char ( uchar n, uchar * data );

/* create horizontal and vertical bars */
void lcd_hbars ( void );
void lcd_vbars ( void );

#endif
